Show / Hide Table of Contents

# ReturnToSynchronizationContext Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct ReturnToSynchronizationContext

### Members

#### Constructors

Name | Description
--- | ---
ReturnToSynchronizationContext(SynchronizationContext, Boolean, CancellationToken) |

#### Methods

Name | Description
--- | ---
DisposeAsync() |

### Constructors

#### ReturnToSynchronizationContext(SynchronizationContext, Boolean, CancellationToken)

    public ReturnToSynchronizationContext(SynchronizationContext syncContext, bool dontPostWhenSameContext, CancellationToken cancellationToken)

##### Parameters

`syncContext` SynchronizationContext
`dontPostWhenSameContext` System.Boolean
`cancellationToken` CancellationToken

### Methods

#### DisposeAsync()

    public ReturnToSynchronizationContext.Awaiter DisposeAsync()

##### Returns

ReturnToSynchronizationContext.Awaiter